/** @link https://developer.amazon.com/docs/device-apis/alexa-property-schemas.html#volume-unit */

// @formatter:off
declare const enum VolumeUnit {
  LITER = 'LITER',
  MILLILITER = 'MILLILITER',
  TEASPOON = 'TEASPOON',
  UK_GALLON = 'UK_GALLON',
  US_FLUID_GALLON = 'US_FLUID_GALLON',
  US_FLUID_OUNCE = 'US_FLUID_OUNCE',
  US_DRY_GALLON = 'US_DRY_GALLON',
  US_DRY_OUNCE = 'US_DRY_OUNCE',

  UK_TABLESPOON = 'UK_TABLESPOON',
  AU_TABLESPOON = 'AU_TABLESPOON',
  CUBIC_CENTIMETER = 'CUBIC_CENTIMETER',
  CUBIC_CENTIMETRE = 'CUBIC_CENTIMETRE',
  CUBIC_METER = 'CUBIC_METER',
  CUBIC_METRE = 'CUBIC_METRE',

  UK_OUNCE = 'UK_OUNCE',
  UK_QUART = 'UK_QUART',
  UK_PINT = 'UK_PINT',
  UK_CUP = 'UK_CUP',
  UK_GILL = 'UK_GILL',
  UK_DRAM = 'UK_DRAM',

  US_FLUID_QUART = 'US_FLUID_QUART',
  US_FLUID_PINT = 'US_FLUID_PINT',
  US_FLUID_CUP = 'US_FLUID_CUP',
  US_TABLESPOON = 'US_TABLESPOON',
  US_TEASPOON = 'US_TEASPOON',
  US_DRAM = 'US_DRAM',
  US_DRY_QUART = 'US_DRY_QUART',
  US_DRY_PINT = 'US_DRY_PINT',
  US_DRY_CUP = 'US_DRY_CUP',

  CUBIC_INCH = 'CUBIC_INCH',
  CUBIC_FOOT = 'CUBIC_FOOT',
}
// @formatter:on

export default VolumeUnit;
